[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force X.Org X11 SVN commit: r94 - trunk/debian



Author: dnusinow
Date: 2005-05-10 23:30:02 -0500 (Tue, 10 May 2005)
New Revision: 94

Added:
   trunk/debian/rules
   trunk/debian/rules.prototype
Removed:
   trunk/debian/rules
Modified:
   trunk/debian/changelog
Log:
Add rules file. Because it is so similar to the old rules file, I've decided to add it, with a few small questions to be resolved before upload. Old rules file moved to rules.prototype. Audited and approved by David.

Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2005-05-11 04:15:27 UTC (rev 93)
+++ trunk/debian/changelog	2005-05-11 04:30:02 UTC (rev 94)
@@ -48,6 +48,11 @@
         xfs.options.5, Xsession.5, Xsession.options.5, Xwrapper.config.5
       - Re-added Xreset script in local/xdm
 
+    - Branding edit and merges to debian/rules
+      - Moving old rules to rules.prototype for the future.
+
+  Changes by Branden Robinson:
+
   * Initial release, based upon upstream CVS tag XORG-6_8_2.  See
     debian/copyright for details of material removed due to overlap with
     existing Debian packaging or license terms that fail to satisfy the DFSG.

Deleted: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2005-05-11 04:15:27 UTC (rev 93)
+++ trunk/debian/rules	2005-05-11 04:30:02 UTC (rev 94)
@@ -1,194 +0,0 @@
-#!/usr/bin/make -f
-
-# $Id$
-
-# Determine (source) package name from Debian changelog.
-SOURCE_NAME:=$(shell dpkg-parsechangelog -ldebian/changelog \
-                        | grep '^Source:' | awk '{print $$2}')
-# Determine package version from Debian changelog.
-SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog \
-                        | grep '^Version:' | awk '{print $$2}')
-# Determine upstream version number.
-UPSTREAM_VERSION:=$(shell echo $(SOURCE_VERSION) | sed 's/-.*//')
-
-build: stamp-build
-
-stamp-build:
-	$(MAKE) -C xc World
-
-# If the tree cannot be cleaned and no source package is available:
-#   1) remove the xc directory with rm -rf
-#   2) restore it by svn exporting it from the repository, e.g.
-#      $ svn export svn://necrotic.deadbeast.net/xorg-x11/trunk/xc
-clean:
-	if [ -f xc/xmakefile ]; then \
-	    $(MAKE) -C xc distclean; \
-	fi
-	rm -f stamp-build
-
-# This rule removes stuff from the upstream source tree that we don't need, or
-# which has licensing problems.  It must be run before creating the
-# .orig.tar.gz.
-prune-upstream-tree:
-	# Ensure we're in the correct directory.
-	test -d xc
-	# Remove copies of stuff that is separately packaged in Debian.
-	rm -rf xc/extras/expat
-	rm -rf xc/extras/fontconfig
-	rm -rf xc/extras/fonts/Bitstream-Vera
-	rm -f xc/fonts/scaled/TTF/COPYRIGHT.Vera
-	rm -rf xc/extras/freetype2
-	rm -rf xc/extras/zlib
-	rm -f xc/include/extensions/render.h
-	rm -f xc/include/extensions/renderproto.h
-	rm -rf xc/lib/Xcursor
-	rm -rf xc/lib/Xft
-	rm -rf xc/lib/Xrender
-	# XXX: not yet sure which bits of the Xprint server can be chopped out
-	# rm -rf xc/programs/Xserver/Xprint
-	# XXX: xterm not yet separately packaged
-	# rm -rf xc/programs/xterm
-	# Remove stuff that is under a non-free license; see debian/copyright
-	# for details.
-	# TODO: Document non-freeness of rman (PolyglotMan) in debian/copyright.
-	rm -rf xc/extras/rman
-	rm -f xc/fonts/scaled/Meltho/README
-	rm -f xc/fonts/scaled/Meltho/SyrCOMAdiabene.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMAntioch.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMBatnan.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMBatnanBold.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMCtesiphon.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMEdessa.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMJerusalem.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMJerusalemBold.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMJerusalemItalic.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMJerusalemOutline.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMKharput.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMMalankara.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMMardin.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMMardinBold.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMMidyat.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMNisibin.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMNisibinOutline.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMQenNeshrin.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMTalada.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMTurAbdin.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMUrhoy.otf
-	rm -f xc/fonts/scaled/Meltho/SyrCOMUrhoyBold.otf
-	rm -f xc/fonts/scaled/Meltho/license.txt
-	rm -f xc/fonts/scaled/TTF/COPYRIGHT.BH
-	rm -f xc/fonts/scaled/TTF/luximb.ttf
-	rm -f xc/fonts/scaled/TTF/luximbi.ttf
-	rm -f xc/fonts/scaled/TTF/luximr.ttf
-	rm -f xc/fonts/scaled/TTF/luximri.ttf
-	rm -f xc/fonts/scaled/TTF/luxirb.ttf
-	rm -f xc/fonts/scaled/TTF/luxirbi.ttf
-	rm -f xc/fonts/scaled/TTF/luxirr.ttf
-	rm -f xc/fonts/scaled/TTF/luxirri.ttf
-	rm -f xc/fonts/scaled/TTF/luxisb.ttf
-	rm -f xc/fonts/scaled/TTF/luxisbi.ttf
-	rm -f xc/fonts/scaled/TTF/luxisr.ttf
-	rm -f xc/fonts/scaled/TTF/luxisri.ttf
-	rm -f xc/fonts/scaled/Type1/COPYRIGHT.IBM
-	rm -f xc/fonts/scaled/Type1/cour.afm
-	rm -f xc/fonts/scaled/Type1/cour.pfa
-	rm -f xc/fonts/scaled/Type1/courb.afm
-	rm -f xc/fonts/scaled/Type1/courb.pfa
-	rm -f xc/fonts/scaled/Type1/courbi.afm
-	rm -f xc/fonts/scaled/Type1/courbi.pfa
-	rm -f xc/fonts/scaled/Type1/couri.afm
-	rm -f xc/fonts/scaled/Type1/couri.pfa
-	rm -f xc/fonts/scaled/Type1/COPYRIGHT.BH
-	rm -f xc/fonts/scaled/Type1/l047013t.afm
-	rm -f xc/fonts/scaled/Type1/l047013t.pfa
-	rm -f xc/fonts/scaled/Type1/l047016t.afm
-	rm -f xc/fonts/scaled/Type1/l047016t.pfa
-	rm -f xc/fonts/scaled/Type1/l047033t.afm
-	rm -f xc/fonts/scaled/Type1/l047033t.pfa
-	rm -f xc/fonts/scaled/Type1/l047036t.afm
-	rm -f xc/fonts/scaled/Type1/l047036t.pfa
-	rm -f xc/fonts/scaled/Type1/l048013t.afm
-	rm -f xc/fonts/scaled/Type1/l048013t.pfa
-	rm -f xc/fonts/scaled/Type1/l048016t.afm
-	rm -f xc/fonts/scaled/Type1/l048016t.pfa
-	rm -f xc/fonts/scaled/Type1/l048033t.afm
-	rm -f xc/fonts/scaled/Type1/l048033t.pfa
-	rm -f xc/fonts/scaled/Type1/l048036t.afm
-	rm -f xc/fonts/scaled/Type1/l048036t.pfa
-	rm -f xc/fonts/scaled/Type1/l049013t.afm
-	rm -f xc/fonts/scaled/Type1/l049013t.pfa
-	rm -f xc/fonts/scaled/Type1/l049016t.afm
-	rm -f xc/fonts/scaled/Type1/l049016t.pfa
-	rm -f xc/fonts/scaled/Type1/l049033t.afm
-	rm -f xc/fonts/scaled/Type1/l049033t.pfa
-	rm -f xc/fonts/scaled/Type1/l049036t.afm
-	rm -f xc/fonts/scaled/Type1/l049036t.pfa
-	rm -f xc/fonts/scaled/Type1/UTBI____.afm
-	rm -f xc/fonts/scaled/Type1/UTBI____.pfa
-	rm -f xc/fonts/scaled/Type1/UTB_____.afm
-	rm -f xc/fonts/scaled/Type1/UTB_____.pfa
-	rm -f xc/fonts/scaled/Type1/UTI_____.afm
-	rm -f xc/fonts/scaled/Type1/UTI_____.pfa
-	rm -f xc/fonts/scaled/Type1/UTRG____.afm
-	rm -f xc/fonts/scaled/Type1/UTRG____.pfa
-	rm -f xc/programs/Xserver/hw/xfree86/doc/README.DRI
-	rm -f xc/programs/Xserver/hw/xfree86/doc/README.DRIcomp
-	rm -f xc/programs/Xserver/hw/xfree86/drivers/mga/mga_ucode.h
-	rm -f xc/programs/Xserver/hw/xfree86/drivers/rendition/v10002d.uc
-	rm -f xc/programs/Xserver/hw/xfree86/drivers/rendition/v20002d.uc
-
-make-orig-tar-gz: prune-upstream-tree
-	# Change to what should be the correct directory, ensure it is, and if
-	# so, create the .orig.tar.gz file.
-	( cd .. \
-	  && test -d $(SOURCE_NAME)-$(UPSTREAM_VERSION) \
-	  && tar --exclude=debian --exclude=debian/* -cf - $(SOURCE_NAME)-$(UPSTREAM_VERSION) | gzip -9 >$(SOURCE_NAME)_$(UPSTREAM_VERSION).orig.tar.gz )
-
-# Apply all patches in debian/patches to the source tree.  This must be done
-# *BEFORE* creating the Debian source package, so that all patches are reflected
-# in the upstream part of the source tree when the .diff.gz file is generated.
-# This is in contrast to prior xfree86 packaging, in which patches were applied
-# at package build time.
-apply-patches:
-	@if [ "$$(echo debian/patches/*.diff)" != "debian/patches/*.diff" ]; then \
-	    env LC_COLLATE=C ls -1 debian/patches/*.diff | while IFS="" read PATCH; do \
-	        echo "Applying patch $$PATCH." >&2; \
-	        if ! PATCH_OUTPUT=$$(patch --dry-run --fuzz=0 --strip=0 <"$$PATCH"); then \
-	            echo "Patch $$PATCH will fail to apply." >&2; \
-	            exit 1; \
-	        fi; \
-	        if echo "$$PATCH_OUTPUT" | grep -Ei 'Hunk.*succeeded at.*(fuzz|offset)'; then \
-	            echo "Patch $$PATCH will fail to apply cleanly." >&2; \
-	            exit 1; \
-	        fi; \
-	        patch --fuzz=0 --strip=0 <"$$PATCH"; \
-	    done; \
-	    echo "Done applying patches." >&2; \
-	else \
-	    echo "No patches to apply; debian/patches is empty." >&2; \
-	fi
-
-# Revert all patches in debian/patches from the source tree.
-revert-patches:
-	@if [ "$$(echo debian/patches/*.diff)" != "debian/patches/*.diff" ]; then \
-	    env LC_COLLATE=C ls -1r debian/patches/*.diff | while IFS="" read PATCH; do \
-	        echo "Reverting patch $$PATCH." >&2; \
-	        if ! PATCH_OUTPUT=$$(patch --dry-run --reverse --fuzz=0 --strip=0 <"$$PATCH"); then \
-	            echo "Patch $$PATCH will fail to revert." >&2; \
-	            exit 1; \
-	        fi; \
-	        if echo "$$PATCH_OUTPUT" | grep -Ei 'Hunk.*succeeded at.*(fuzz|offset)'; then \
-	            echo "Patch $$PATCH will fail to revert cleanly." >&2; \
-	            exit 1; \
-	        fi; \
-	        patch --reverse --fuzz=0 --strip=0 <"$$PATCH"; \
-	    done; \
-	    echo "Done reverting patches." >&2; \
-	else \
-	    echo "No patches to revert; debian/patches is empty." >&2; \
-	fi
-
-.PHONY: apply-patches build clean make-orig-tar-gz prune-upstream-tree \
-        revert-patches
-
-# vim:set ai noet sts=8 sw=8 tw=0:

Added: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2005-05-11 04:15:27 UTC (rev 93)
+++ trunk/debian/rules	2005-05-11 04:30:02 UTC (rev 94)
@@ -0,0 +1,659 @@
+#!/usr/bin/make -f
+# Debian rules file for xfree86 source package
+# Originally by Stephen Early <sde1000@debian.org>
+# Modified by Mark W. Eichin <eichin@kitten.gen.ma.us>
+# Modified by Adam Heath <doogie@debian.org>
+# Modified by Branden Robinson <branden@debian.org>
+# Modified by Fabio Massimo Di Nitto <fabbione@fabbione.net>
+# Copyright 1996--2004 Software in the Public Interest, Inc.
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.
+
+# $Id: rules 1785M 2004-10-08 08:07:05Z (local) $
+
+# default rule to keep things from going nuts by accident
+default: environment
+
+# debhelper
+export DH_OPTIONS
+
+# Use the DBS archive/patch handling system.
+SCRIPT_DIR = /usr/share/dbs
+
+TAR_DIR = xc
+include $(SCRIPT_DIR)/dbs-build.mk
+
+# dpkg-arch rules
+ifeq (,$(DEB_BUILD_GNU_TYPE))
+  include $(SCRIPT_DIR)/dpkg-arch.mk
+endif
+
+M4:=m4
+
+# This is a horrendous kludge to ensure that some scripts we need are executable.
+DUMMY:=$(shell if ! [ -x debian/setperms ]; then chmod 755 debian/setperms; fi)
+DUMMY:=$(shell debian/setperms)
+
+# workaround for an aggressive overfeature of groff
+export GROFF_NO_SGR=1
+
+# Define commands for converting HTML and XHTML to plain text.
+HTML2TEXT=lynx -dump -nolist
+XHTML2TEXT=lynx -dump -nolist -force_html
+
+# Set up parameters for the upstream build environment.
+
+# Get package version info.
+SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog  | grep '^Version:' | awk '{print $$2}')
+
+# Figure out who's building this package.
+BUILDER:=$(shell echo $${DEBEMAIL:-$${EMAIL:-$$(echo $$LOGNAME@$$(cat /etc/mailname 2> /dev/null))}})
+
+# Find out if this is an official build; an official build has nothing but
+# digits, dots, and/or the strings "woody" or "sarge" in the Debian part of the
+# version number.  Anything else indicates an unofficial build.
+OFFICIAL_BUILD:=$(shell VERSION=$(SOURCE_VERSION); if ! expr "$$(echo $${VERSION\#\#*-} | sed 's/\(woody\|sarge\)//g')" : ".*[^0-9.].*" > /dev/null 2>&1; then echo yes; fi)
+# un-confuse Vim's syntax highlighter: "
+OFFICIAL_BUILD:=yes
+
+# XXX: xc/config/cf/* needs some fairly serious hacking to support this in a
+# way that David Dawes will accept upstream, so for the time being, this isn't
+# used (the DebianGccOptimizeOpt symbol is not referenced anywhere in the
+# source tree), even though this variable is expanded below.
+DEBUGFLAGS:=-DDebianGccOptimizeOpt='-O0'
+
+# Set some Imake variables for the regular and server-debugging builds.
+TIMESTAMP:=$(shell env TZ=UTC date +%Y%m%d%H%M%S)
+# NOTE: IMAKE_DEFINES is used later to control whether the specs docs and fonts
+# are built (they are not built for architecture-dependent-packages-only
+# builds).
+IMAKE_DEFINES:=-DXorgCustomVersion='\"Debian $(SOURCE_VERSION) $(TIMESTAMP) $(BUILDER)\"'
+# XXX: replace -DDefaultGcc2OptimizeOpt=-O0 with $(DEBUGFLAGS) when the time
+# comes (see above)
+SERVERDEBUG_IMAKE_DEFINES:=-DXorgCustomVersion='\"Debian (static) $(SOURCE_VERSION) $(TIMESTAMP) $(BUILDER)\"' -DBuildServersOnly=YES -DDoLoadableServer=NO -DXnestServer=NO -DXVirtualFramebufferServer=NO -DXprtServer=NO -DXdmxServer=NO -DDefaultGcc2OptimizeOpt=-O0
+
+# If this is an official build, set the BuilderEMailAddr that gets displayed in
+# some error messages.
+ifeq ($(OFFICIAL_BUILD),yes)
+BUILDER_EMAIL_ADDR:=submit@bugs.debian.org
+IMAKE_DEFINES+= -DBuilderEMailAddr='\"$(BUILDER_EMAIL_ADDR)\"'
+SERVERDEBUG_IMAKE_DEFINES+= -DBuilderEMailAddr='\"$(BUILDER_EMAIL_ADDR)\"'
+endif
+
+# Determine whether we're compiling with optimization turned off; does
+# DEB_BUILD_OPTIONS contain the "noopt" flag? (see XXX comment above)
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+# don't get rid of the space in the next line
+IMAKE_DEFINES+= $(DEBUGFLAGS)
+endif
+
+# Set up parameters for the Debian build environment.
+
+# Determine our architecture.
+BUILD_ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+# Work around some old-time dpkg braindamage.
+BUILD_ARCH:=$(subst i486,i386,$(BUILD_ARCH))
+# The DEB_HOST_ARCH variable may be set per the Debian cross-compilation policy.
+ifdef DEB_HOST_ARCH
+ ARCH:=$(DEB_HOST_ARCH)
+else
+ # dpkg-cross sets the ARCH environment variable; if set, use it.
+ ifdef ARCH
+  ARCH:=$(ARCH)
+ else
+  ARCH:=$(BUILD_ARCH)
+ endif
+endif
+
+# Read in important variables.
+include debian/scripts/vars
+# Read in architecture-specific variables of importance.
+include debian/scripts/vars.$(ARCH)
+
+# This is where the upstream install rules will put their stuff.
+DEBTREEDIR:=$(CURDIR)/debian/tmp
+
+# Because of the stampdir magic, when you actually want to run a rule
+# over, you would have to remove the stamp manually.  Now, just do
+# 'debian/rules <target> <target> ... FORCE=1', and the stamp files
+# that match the given targets will be removed automagically.
+stampdir_targets=genscripts configure patch-audit check-manifest
+stampdir_targets+=build install binary-arch binary-indep
+stampdir_targets+=build-server install-server binary-server
+ifdef FORCE
+ DUMMY:=$(shell rm -f $(patsubst %,$(STAMP_DIR)/%,$(filter $(stampdir_targets),$(MAKECMDGOALS))))
+endif
+
+# If this is defined, then none of the 'long' commands will be run.  Useful
+# for testing.
+# test_rules=1
+
+# Rule to clean the maintainer scripts.
+cleanscripts:
+	rm -f debian/*.config debian/*.postinst debian/*.postrm debian/*.preinst debian/*.prerm
+	rm -f debian/xserver-xorg-dbg.templates
+	rm -f $(STAMP_DIR)/genscripts
+
+clean: cleanscripts
+	dh_testdir
+	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
+	perl $(SCRIPT_DIR)/dbs_split clean
+	rm -rf imports debian/local/xlibmesa-drm-source/modules
+	dh_clean debian/local/xserver-wrapper debian/local/FAQ \
+	         debian/local/xterm.faq.gz debian/shlibs.local \
+	         debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new \
+	         debian/po/pothead
+
+# All 'important' targets have 2 lines.  The one that is run by
+# dpkg-buildpackage or the user, and the one that does the actual work.  This
+# indirection is needed so that the 'stamp' files that signify when a rule is
+# done can be located in a separate 'stampdir'.  Recall that make has no way to
+# know when a goal has been met for a phony target (like "build" or "install").
+#
+# At the end of each stampdir target, be sure to run the command 'touch $@'
+# so that the target will not be run again.  Removing the file will make
+# make run the target over.
+
+# Rule to generate the maintainer scripts.
+genscripts: $(STAMP_DIR)/genscripts
+$(STAMP_DIR)/genscripts:
+	for FILE in debian/*.config.in debian/*.postinst.in debian/*.postrm.in debian/*.preinst.in debian/*.prerm.in; do \
+	  if [ -e "$$FILE" ]; then \
+	    MAINTSCRIPT=$$(echo $$FILE | sed 's/.in$$//'); \
+	    sed -n '1,/^#INCLUDE_SHELL_LIB#$$/p' < $$FILE | sed -e '/^#INCLUDE_SHELL_LIB#$$/d' > $$MAINTSCRIPT.tmp; \
+	    cat debian/shell-lib.sh >> $$MAINTSCRIPT.tmp; \
+	    sed -n '/^#INCLUDE_SHELL_LIB#$$/,$$p' < $$FILE | sed -e '/^#INCLUDE_SHELL_LIB#$$/d' >> $$MAINTSCRIPT.tmp; \
+	    sed -e 's/@SOURCE_VERSION@/$(SOURCE_VERSION)/' -e 's/@OFFICIAL_BUILD@/$(OFFICIAL_BUILD)/' < $$MAINTSCRIPT.tmp > $$MAINTSCRIPT; \
+	    rm $$MAINTSCRIPT.tmp; \
+	  fi; \
+	done
+	# generate xserver-xorg-dbg maintainer scripts from the scripts for xserver-xorg
+	for FILE in debian/xserver-xorg.config \
+	            debian/xserver-xorg.postinst \
+	            debian/xserver-xorg.postrm \
+	            debian/xserver-xorg.preinst \
+	            debian/xserver-xorg.prerm; do \
+	  if [ -e "$$FILE" ]; then \
+	    MAINTSCRIPT=$$(echo $$FILE | sed 's/xserver-xorg/&-dbg/'); \
+	    sed -e 's/^# Debian xserver-xorg/&-dbg/' \
+	        -e 's/^THIS_PACKAGE=xserver-xorg/&-dbg/' \
+	        -e 's#^THIS_SERVER=/usr/bin/X11/Xorg#&-debug#' \
+	        < $$FILE > $$MAINTSCRIPT; \
+	  fi; \
+	done
+	# don't forget the templates file, which doesn't need any substitutions
+	cp debian/xserver-xorg.templates \
+	   debian/xserver-xorg-dbg.templates
+	
+	# simple sanity check on maintainer scripts
+	sh debian/scripts/validate-posix-sh debian/*.config debian/*.postinst debian/*.postrm debian/*.preinst debian/*.prerm debian/local/dexconf
+	#for FILE in debian/*.config debian/*.postinst debian/*.postrm debian/*.preinst debian/*.prerm; do \
+	#    sh debian/scripts/validate-posix-sh "$$FILE"; \
+	#done
+	touch $@
+
+# Rule to generate the shlibs.local file.
+debian/shlibs.local:
+	cat debian/*.shlibs > $@
+
+# Generate the debconf templates POT file header.
+debian/po/pothead: debian/po/pothead.in
+	sed -e 's/SOURCE_VERSION/$(SOURCE_VERSION)/' \
+	  -e 's/DATE/$(shell date "+%F %X%z"/)' \
+	  <debian/po/pothead.in >$@
+
+# Update POT and PO files.
+updatepo: debian/po/pothead
+	debian/scripts/debconf-updatepo --pot-header=pothead --verbose
+
+configure: $(STAMP_DIR)/configure
+$(STAMP_DIR)/configure: $(patched)
+	dh_testdir
+
+# I am more anal than the dbs package maintainer about diffs, it seems.
+patch-audit: $(STAMP_DIR)/patch-audit
+$(STAMP_DIR)/patch-audit: $(patched)
+	@if egrep -il 'Hunk.*succeeded at.*(fuzz|offset)' \
+	  stampdir/log/patches/*; then \
+	  echo "The above patches had fuzz or offsets.  Please fix." >&2; \
+	  exit 1; \
+	fi
+	touch $@
+
+build:
+	@echo "This target does nothing.  Please specify \"build-arch-only\" or \"build-all\""
+	@echo "instead.  Note that it is also acceptable to use the \"binary-arch\" or"
+	@echo "\"binary-indep\" targets."
+	@echo
+	@echo "If you are using dpkg-buildpackage, you can safely ignore this message."
+
+# DO NOT CHANGE THIS RULE WITHOUT CHECKING FOR SYNCHRONICITY WITH THE build-server RULE BELOW
+real-build: $(STAMP_DIR)/build
+$(STAMP_DIR)/build: $(STAMP_DIR)/patch-audit $(STAMP_DIR)/genscripts
+	dh_testdir
+	# Symlink some of the libraries on which we build-depend into
+	# imports/{lib,include} so we don't have to pull in -L/usr/include and
+	# other, similarly ugly, stuff (including, but not limited to,
+	# -I/usr/include).
+	mkdir -p imports/lib
+	mkdir -p imports/include/X11/extensions
+	# Xcursor
+	ln -sf /usr/lib/libXcursor.* imports/lib
+	ln -nsf /usr/include/X11/Xcursor imports/include/X11
+	# Xft
+	ln -sf /usr/lib/libXft.* imports/lib
+	# Remove Xft1 -- it is built as part of XFree86.
+	rm -f imports/lib/libXft.so.1* imports/lib/libXft1*
+	ln -nsf /usr/include/X11/Xft imports/include/X11
+ifndef NOT_BUILDING_XFREE86_X_SERVER
+	# create source tree for static, debuggable XFree86 server
+	mkdir $(SOURCE_TREE)-xserver-xorg-dbg
+	cd $(SOURCE_TREE)/config/util && make -f Makefile.ini lndir
+	cd $(SOURCE_TREE)-xserver-xorg-dbg && ../xc/config/util/lndir ../xc
+endif
+	# build Debian's X server wrapper
+	$(CC) -Wall -g -O2 -o debian/local/xserver-wrapper debian/local/xserver-wrapper.c
+	# Generate plain text documents from (X)HTML.
+	$(HTML2TEXT) debian/local/xterm.faq.html >debian/local/xterm.faq
+	gzip -9f debian/local/xterm.faq
+	$(XHTML2TEXT) debian/local/FAQ.xhtml >debian/local/FAQ
+ifndef test_rules
+	$(MAKE) -C $(SOURCE_TREE) WORLDOPTS="" IMAKE_DEFINES="$(IMAKE_DEFINES)" World
+ ifndef NOT_BUILDING_XFREE86_X_SERVER
+	$(MAKE) -C $(SOURCE_TREE)-xserver-xorg-dbg WORLDOPTS="" IMAKE_DEFINES="$(SERVERDEBUG_IMAKE_DEFINES)" World
+ endif
+else
+	# skipping build rule because test_rules was defined
+endif
+	touch $@
+
+# When creating archiciture-dependent packages only, turn off the building of
+# the specs docs and fonts.  There are also Imake symbols called BuildMiscDocs
+# and InstallHardcopyDocs, but they are not defined by default.
+build-arch-only: IMAKE_DEFINES+= -DBuildSpecsDocs=NO -DBuildFonts=NO -DInstallHardcopyDocs=NO
+build-arch-only: real-build
+build-all: real-build
+
+# DO NOT CHANGE THIS RULE WITHOUT CHECKING FOR SYNCHRONICITY WITH THE install-server RULE BELOW
+install: $(STAMP_DIR)/install
+$(STAMP_DIR)/install: $(STAMP_DIR)/build
+	dh_testdir
+	dh_testroot
+ifndef test_rules
+	umask 022
+	dh_clean -k
+	$(MAKE) -C $(SOURCE_TREE) SHELL="/bin/sh -e" DESTDIR=$(DEBTREEDIR) install install.man
+	# install Debian's font tools
+	install -m 755 -d $(DEBTREEDIR)/usr/bin $(DEBTREEDIR)/usr/sbin
+	install -m 755 -d $(DEBTREEDIR)/usr/share/man/man1 $(DEBTREEDIR)/usr/share/man/man5 $(DEBTREEDIR)/usr/share/man/man8
+	for FOO in alias dir scale; do \
+	  install -m 755 debian/local/update-fonts-$$FOO $(DEBTREEDIR)/usr/sbin; \
+	  install -m 644 debian/local/update-fonts-$$FOO.8 $(DEBTREEDIR)/usr/share/man/man8; \
+	done
+ ifdef NOT_BUILDING_XFREE86_X_SERVER
+	# These files, which document more than just the XFree86 X server,
+	# should be installed by the upstream Imakefiles even when the XFree86
+	# X server isn't being built, but they're poorly placed.  Therefore we
+	# have to create the destination directory ourselves.
+	install -m 755 -d debian/tmp/usr/X11R6/lib/X11/doc
+	install -m 644 $(SOURCE_TREE)/programs/Xserver/hw/xfree86/doc/README \
+	               $(SOURCE_TREE)/programs/Xserver/hw/xfree86/doc/README.fonts \
+	               debian/tmp/usr/X11R6/lib/X11/doc
+ else
+	# copy the static, debuggable XFree86 server
+	install -m 755 $(SOURCE_TREE)-xserver-xorg-dbg/programs/Xserver/Xorg \
+	               debian/tmp/usr/X11R6/bin/Xorg-debug
+	mkdir -p $(DEBTREEDIR)/etc/X11/cursors
+	install -m 644 debian/local/cursors/*.theme $(DEBTREEDIR)/etc/X11/cursors
+ endif
+	rm -f $(DEBTREEDIR)/usr/X11R6/lib/X11/icons/default/index.theme
+	# remove the upstream symlink X -> XFree86
+	rm -f $(DEBTREEDIR)/usr/X11R6/bin/X
+	# install Debian's X server wrapper
+	install -m 755 debian/local/xserver-wrapper $(DEBTREEDIR)/usr/X11R6/bin/X
+	install -m 644 debian/local/Xwrapper.config.5 $(DEBTREEDIR)/usr/share/man/man5
+	install -m 755 debian/local/xserverrc $(DEBTREEDIR)/etc/X11/xinit
+	# install Debian's XF86Config generator
+	install -m 755 debian/local/dexconf $(DEBTREEDIR)/usr/bin
+	install -m 644 debian/local/dexconf.1 $(DEBTREEDIR)/usr/share/man/man1
+	# install the Python/GNOME based configlet
+	install -m 755 -d $(DEBTREEDIR)/usr/share/configlets/xserver-common
+	install -m 644 debian/local/dexlet/* $(DEBTREEDIR)/usr/share/configlets/xserver-common
+	# other stuff
+	install -m 755 -d $(DEBTREEDIR)/usr/share/man/man7
+	install -m 644 debian/local/XF86Config.7 $(DEBTREEDIR)/usr/share/man/man7
+	install -m 755 debian/local/Xsession $(DEBTREEDIR)/etc/X11
+	install -m 644 debian/local/Xsession.options $(DEBTREEDIR)/etc/X11
+	install -m 755 -d $(DEBTREEDIR)/usr/share/man/man5
+	install -m 644 debian/local/Xsession.5 $(DEBTREEDIR)/usr/share/man/man5
+	install -m 644 debian/local/Xsession.options.5 $(DEBTREEDIR)/usr/share/man/man5
+	install -m 644 $(DEBTREEDIR)/etc/X11/twm/system.twmrc $(DEBTREEDIR)/etc/X11/twm/system.twmrc-menu
+	install -m 755 -d $(DEBTREEDIR)/etc/X11/Xresources
+	install -m 644 debian/local/Xresources/xorg-common $(DEBTREEDIR)/etc/X11/Xresources/xorg-common
+	install -m 644 debian/local/Xresources/xbase-clients $(DEBTREEDIR)/etc/X11/Xresources/xbase-clients
+	install -m 755 -d $(DEBTREEDIR)/etc/X11/Xsession.d
+	install -m 644 debian/local/Xsession.d/* $(DEBTREEDIR)/etc/X11/Xsession.d
+	# Install lxterm command and manual page.
+	install -m 755 debian/local/lxterm $(DEBTREEDIR)/usr/X11R6/bin
+	install -m 755 debian/local/lxterm.1x $(DEBTREEDIR)/usr/X11R6/man/man1
+	# Install koi8rxterm command, manual page, and app-defaults file.
+	install -m 755 debian/local/koi8rxterm $(DEBTREEDIR)/usr/X11R6/bin
+	install -m 755 debian/local/koi8rxterm.1x $(DEBTREEDIR)/usr/X11R6/man/man1
+	install -m 644 debian/local/KOI8RXTerm $(DEBTREEDIR)/etc/X11/app-defaults
+	# Install manual page for uxterm.
+	install -m 644 debian/local/uxterm.1x $(DEBTREEDIR)/usr/X11R6/man/man1
+	install -m 755 debian/local/xdm/* $(DEBTREEDIR)/etc/X11/xdm
+	install -m 644 debian/local/xdm.options $(DEBTREEDIR)/etc/X11/xdm
+	install -m 644 debian/local/xdm.options.5 $(DEBTREEDIR)/usr/share/man/man5
+	install -m 644 debian/local/debian.xpm $(DEBTREEDIR)/etc/X11/xdm/pixmaps
+	install -m 644 debian/local/debianbw.xpm $(DEBTREEDIR)/etc/X11/xdm/pixmaps
+	install -m 644 debian/local/xfs.options $(DEBTREEDIR)/etc/X11/fs
+	install -m 644 debian/local/xfs.options.5 $(DEBTREEDIR)/usr/share/man/man5
+	install -m 755 debian/local/xvfb-run $(DEBTREEDIR)/usr/bin
+	install -m 644 debian/local/xvfb-run.1 $(DEBTREEDIR)/usr/share/man/man1
+else
+	# skipping install rule because test_rules was defined
+endif
+	touch $@
+
+check-manifest: $(STAMP_DIR)/check-manifest
+$(STAMP_DIR)/check-manifest: $(STAMP_DIR)/install
+	# compare manifests
+	(cd debian/tmp && find -type f | LC_ALL=C sort | cut -c3-) >debian/MANIFEST.$(ARCH).new
+	# Construct MANIFEST files from MANIFEST.$(ARCH).in and
+	# MANIFEST.$(ARCH).all or MANIFEST.all.
+	if expr "$(findstring -DBuildFonts=NO,$(IMAKE_DEFINES))" : "-DBuildFonts=NO" >/dev/null 2>&1; then \
+	  LC_ALL=C sort -u debian/MANIFEST.$(ARCH).in >debian/MANIFEST.$(ARCH); \
+	else \
+	  if [ -e debian/MANIFEST.$(ARCH).all ]; then \
+	    LC_ALL=C sort -u debian/MANIFEST.$(ARCH).in debian/MANIFEST.$(ARCH).all >debian/MANIFEST.$(ARCH); \
+	  else \
+	    LC_ALL=C sort -u debian/MANIFEST.$(ARCH).in debian/MANIFEST.all >debian/MANIFEST.$(ARCH); \
+	  fi; \
+	fi
+	# confirm that the installed file list has not changed
+	if [ -e debian/MANIFEST.$(ARCH) ]; then \
+	  if ! cmp -s debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new; then \
+	    diff -U 0 debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new || DIFFSTATUS=$$?; \
+	    case $${DIFFSTATUS:-0} in \
+	      0) ;; \
+	      1) if [ -n "$$IGNORE_MANIFEST_CHANGES" ]; then \
+	           echo 'MANIFEST check failed; ignoring problem because \$$IGNORE_MANIFEST_CHANGES set' >&2; \
+	           echo 'Please ensure that the package maintainer has an up-to-date version of the' >&2; \
+	           echo 'MANIFEST.$(ARCH) file.' >&2; \
+	         else \
+	           echo 'MANIFEST check failed; please see debian/README' >&2; \
+	           exit 1; \
+	         fi; \
+	         ;; \
+	      *) echo "diff reported unexpected exit status $$DIFFSTATUS when performing MANIFEST check" >&2; \
+	         exit 1; \
+	         ;; \
+	    esac; \
+	  fi; \
+	fi
+	touch $@
+
+# See the build-arch-only target above.
+check-manifest-arch: IMAKE_DEFINES+= -DBuildSpecsDocs=NO -DBuildFonts=NO -DInstallHardcopyDocs=NO
+check-manifest-arch: check-manifest
+check-manifest-indep: check-manifest
+
+binary-indep: check-manifest-indep $(STAMP_DIR)/binary-indep
+$(STAMP_DIR)/binary-indep: DH_OPTIONS=-i
+$(STAMP_DIR)/binary-indep: $(STAMP_DIR)/build $(STAMP_DIR)/install $(STAMP_DIR)/check-manifest
+	dh_testdir
+	dh_testroot
+	dh_install --sourcedir=debian/tmp
+	dh_installdebconf
+	dh_installdirs
+	# copy the fonts.{alias,scale} files into /etc
+	cp -f $(DEBTREEDIR)/usr/X11R6/lib/X11/fonts/100dpi/fonts.alias debian/xfonts-100dpi/etc/X11/fonts/100dpi/xfonts-100dpi.alias
+	cp -f $(DEBTREEDIR)/usr/X11R6/lib/X11/fonts/75dpi/fonts.alias debian/xfonts-75dpi/etc/X11/fonts/75dpi/xfonts-75dpi.alias
+	cp -f $(DEBTREEDIR)/usr/X11R6/lib/X11/fonts/cyrillic/fonts.alias debian/xfonts-cyrillic/etc/X11/fonts/cyrillic/xfonts-cyrillic.alias
+	# some font aliases go into xfonts-base-transcoded.alias
+	egrep 'iso8859-(8|15)$$' $(DEBTREEDIR)/usr/X11R6/lib/X11/fonts/misc/fonts.alias > debian/xfonts-base-transcoded/etc/X11/fonts/misc/xfonts-base-transcoded.alias
+	egrep -v 'iso8859-(8|15)$$' $(DEBTREEDIR)/usr/X11R6/lib/X11/fonts/misc/fonts.alias > debian/xfonts-base/etc/X11/fonts/misc/xfonts-base.alias
+	cp -f $(DEBTREEDIR)/usr/X11R6/lib/X11/fonts/Type1/fonts.scale debian/xfonts-scalable/etc/X11/fonts/Type1/xfonts-scalable.scale
+	# install bug report assistance script
+	install -m 755 -d debian/xlibs/usr/share/bug
+	install -m 755 debian/xlibs.bug debian/xlibs/usr/share/bug/xlibs
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installinit --noscripts
+	dh_installchangelogs
+	dh_link
+	dh_compress -X.xhtml
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+	touch $@
+
+# DO NOT CHANGE THIS RULE WITHOUT CHECKING FOR SYNCHRONICITY WITH THE binary-server RULE BELOW
+# See the build-arch-only target above.
+binary-arch: check-manifest-arch $(STAMP_DIR)/binary-arch
+$(STAMP_DIR)/binary-arch: DH_OPTIONS=-s
+$(STAMP_DIR)/binary-arch: IMAKE_DEFINES+= -DBuildSpecsDocs=NO -DBuildFonts=NO -DInstallHardcopyDocs=NO
+$(STAMP_DIR)/binary-arch: $(STAMP_DIR)/build $(STAMP_DIR)/install debian/shlibs.local $(STAMP_DIR)/check-manifest
+	dh_testdir
+	dh_testroot
+	dh_install --sourcedir=debian/tmp
+	# special handling; don't do this if the manpage doesn't exist, which
+	# will be the case if this architecture doesn't build the XFree86 X
+	# server
+	if [ -e debian/tmp/usr/X11R6/man/man1/Xorg.1x ]; then \
+	  install -m 755 -d debian/xserver-xorg-dbg/usr/X11R6/man/man1; \
+	  install -m 644 debian/tmp/usr/X11R6/man/man1/Xorg.1x debian/xserver-xorg-dbg/usr/X11R6/man/man1/Xorg-debug.1x; \
+	fi
+	dh_installdebconf
+	dh_installdirs
+	dh_installdocs
+	# how about a dh_installbug? :)
+ifndef NOT_BUILDING_XFREE86_X_SERVER
+	install -m 755 -d debian/xserver-xorg/usr/share/bug
+	install -m 755 debian/xserver-xorg.bug debian/xserver-xorg/usr/share/bug/xserver-xorg
+	install -m 755 -d debian/xserver-xorg-dbg/usr/share/bug
+	install -m 755 debian/xserver-xorg.bug debian/xserver-xorg-dbg/usr/share/bug/xserver-xorg-dbg
+endif
+# (Crudely) test to see if we're shipping xlibmesa-dri for the architecture being built.
+ifneq (,$(findstring xlibmesa-dri,$(XLIBMESA_GL_SPECIAL_DEPENDS)))
+	install -m 755 -d debian/xlibmesa-dri/usr/share/bug
+	install -m 755 debian/xlibmesa-dri.bug debian/xlibmesa-dri/usr/share/bug/xlibmesa-dri
+endif
+	dh_installexamples
+	dh_installmenu
+	dh_installpam
+	dh_installinit --noscripts
+	dh_installlogrotate
+	dh_installchangelogs
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	dh_strip \
+	  -Nlibdmx1-dbg \
+	  -Nlibdps1-dbg \
+	  -Nlibfs6-dbg \
+	  -Nlibice6-dbg \
+	  -Nlibsm6-dbg \
+	  -Nlibx11-6-dbg \
+	  -Nlibxau6-dbg \
+	  -Nlibxaw6-dbg \
+	  -Nlibxaw7-dbg \
+	  -Nlibxaw8-dbg \
+	  -Nlibxcomposite1-dbg \
+	  -Nlibxdamage1-dbg \
+	  -Nlibxdmcp6-dbg \
+	  -Nlibxext6-dbg \
+	  -Nlibxfixes3-dbg \
+	  -Nlibxft1-dbg \
+	  -Nlibxi6-dbg \
+	  -Nlibxmu6-dbg \
+	  -Nlibxmuu1-dbg \
+	  -Nlibxinerama1-dbg \
+	  -Nlibxkbui1-dbg \
+	  -Nlibxkbfile1-dbg \
+	  -Nlibxp6-dbg \
+	  -Nlibxpm4-dbg \
+	  -Nlibxrandr2-dbg \
+	  -Nlibxres1-dbg \
+	  -Nlibxss1-dbg \
+	  -Nlibxt6-dbg \
+	  -Nlibxtrap6-dbg \
+	  -Nlibxtst6-dbg \
+	  -Nlibxv1-dbg \
+	  -Nlibxvmc1-dbg \
+	  -Nlibxxf86dga1-dbg \
+	  -Nlibxxf86misc1-dbg \
+	  -Nlibxxf86rush1-dbg \
+	  -Nlibxxf86vm1-dbg \
+	  -Nxlibmesa-gl-dbg \
+	  -Nxlibmesa-glu-dbg \
+	  -Nxlibosmesa4-dbg \
+	  -Nxserver-xorg-dbg
+	find debian/xserver-xorg/usr/X11R6/lib/modules -name "*_drv.o" | \
+	  xargs --no-run-if-empty \
+	  strip --strip-debug --remove-section=.note --remove-section=.comment
+endif
+	dh_link
+	dh_compress
+	dh_fixperms
+	chown root:root debian/xserver-common/usr/X11R6/bin/X
+	chmod ug+s debian/xserver-common/usr/X11R6/bin/X
+	chown :utmp debian/xterm/usr/X11R6/bin/xterm
+	chmod g+s debian/xterm/usr/X11R6/bin/xterm
+	dh_installdeb
+	dh_shlibdeps -Nlibdps1 -Nlibx11-6 -l$(DEBTREEDIR)/usr/lib -l$(DEBTREEDIR)/usr/X11R6/lib --exclude=usr/X11R6/lib/modules
+	dh_shlibdeps -plibdps1 -l$(DEBTREEDIR)/usr/lib -l$(DEBTREEDIR)/usr/X11R6/lib -- -Ldebian/libdps1.shlibs.local
+	dh_shlibdeps -plibx11-6 -l$(DEBTREEDIR)/usr/lib -l$(DEBTREEDIR)/usr/X11R6/lib -- -Ldebian/libx11-6.shlibs.local
+	dh_gencontrol -- -VF:XWSC-Special-Depends=$(XWSC_SPECIAL_DEPENDS) \
+	                 -VF:XWSD-Special-Depends=$(XWSD_SPECIAL_DEPENDS) \
+	                 -VF:Xlibmesa-gl-Special-Depends=$(XLIBMESA_GL_SPECIAL_DEPENDS)
+	dh_md5sums
+	dh_builddeb
+	touch $@
+
+binary: binary-indep binary-arch
+
+# Use 'debian/rules environment' to help debug architecture-related problems
+# with the rules file.
+environment:
+	@echo 'Package build environment (not all variables may be set):'
+	@echo '$$(SOURCE_VERSION)' is \"$(SOURCE_VERSION)\"
+	@echo '$$(OFFICIAL_BUILD)' is \"$(OFFICIAL_BUILD)\"
+	@echo '$$(BUILDER_EMAIL_ADDR)' is \"$(BUILDER_EMAIL_ADDR)\"
+	@echo '$$(IMAKE_DEFINES)' is \"$(IMAKE_DEFINES)\"
+	@echo '$$(SERVERDEBUG_IMAKE_DEFINES)' is \"$(SERVERDEBUG_IMAKE_DEFINES)\"
+	@echo '$$(ARCH)' is \"$(ARCH)\"
+	@echo '$$(DEB_HOST_ARCH)' is \"$(DEB_HOST_ARCH)\"
+	@echo '$$(BUILD_ARCH)' is \"$(BUILD_ARCH)\"
+	@echo '$$(CURDIR)' is \"$(CURDIR)\"
+	@echo '$$(XWSC_SPECIAL_DEPENDS)' is \"$(XWSC_SPECIAL_DEPENDS)\"
+	@echo '$$(XWSD_SPECIAL_DEPENDS)' is \"$(XWSD_SPECIAL_DEPENDS)\"
+	@echo '$$(XLIBMESA_GL_SPECIAL_DEPENDS)' is \"$(XLIBMESA_GL_SPECIAL_DEPENDS)\"
+ifdef NOT_BUILDING_XFREE86_X_SERVER
+	@echo '*** This architecture does not build the XFree86 X server packages.'
+endif
+	@echo 'See debian/control for build dependencies.'
+
+# The following three rules for for generating "customized" xserver-xorg
+# packages.  Nothing that would appear outside that package is relevant
+# to them.
+#
+# These rules will not be identical to their counterparts above, but
+# changes to one or the other should always be considered for inclusion in
+# the counterpart rule, so that they don't get out of sync with each other.
+
+# DO NOT CHANGE THIS RULE WITHOUT CHECKING FOR SYNCHRONICITY WITH THE build RULE ABOVE
+build-server: $(STAMP_DIR)/build-server
+$(STAMP_DIR)/build-server: $(STAMP_DIR)/patch-audit $(STAMP_DIR)/genscripts
+	dh_testdir
+	# create source tree for static, debuggable XFree86 server
+	cp -drl $(SOURCE_TREE) $(SOURCE_TREE)-xserver-xorg-dbg
+ifndef test_rules
+	$(MAKE) -C $(SOURCE_TREE) WORLDOPTS="" IMAKE_DEFINES="$(IMAKE_DEFINES) -DBuildServersOnly=YES" World
+	$(MAKE) -C $(SOURCE_TREE)-xserver-xorg-dbg WORLDOPTS="" IMAKE_DEFINES="$(SERVERDEBUG_IMAKE_DEFINES)" World
+else
+	# skipping build rule because test_rules was defined
+endif
+	touch $@
+
+build-server-alone: $(STAMP_DIR)/build-server-alone
+$(STAMP_DIR)/build-server-alone: $(STAMP_DIR)/patch-audit $(STAMP_DIR)/genscripts
+	dh_testdir
+ifndef test_rules
+	$(MAKE) -C $(SOURCE_TREE) WORLDOPTS="" IMAKE_DEFINES="$(IMAKE_DEFINES) -DBuildServersOnly=YES" World
+else
+	# skipping build rule because test_rules was defined
+endif
+	touch $@
+
+# DO NOT CHANGE THIS RULE WITHOUT CHECKING FOR SYNCHRONICITY WITH THE install RULE ABOVE
+install-server: $(STAMP_DIR)/install-server
+$(STAMP_DIR)/install-server: DH_OPTIONS=-pxserver-xorg -pxserver-xorg-dbg
+$(STAMP_DIR)/install-server: $(STAMP_DIR)/build-server
+	dh_testdir
+	dh_testroot
+ifndef test_rules
+	umask 022
+	dh_clean -k
+	$(MAKE) -C $(SOURCE_TREE) SHELL="/bin/sh -e" DESTDIR=$(DEBTREEDIR) install install.man
+	# copy the static, debuggable XFree86 server
+	install -m 755 $(SOURCE_TREE)-xserver-xorg-dbg/programs/Xserver/Xorg \
+	               debian/tmp/usr/X11R6/bin/Xorg-debug
+else
+	# skipping install rule because test_rules was defined
+endif
+	touch $@
+
+# DO NOT CHANGE THIS RULE WITHOUT CHECKING FOR SYNCHRONICITY WITH THE binary-arch RULE ABOVE
+binary-server: $(STAMP_DIR)/binary-server
+$(STAMP_DIR)/binary-server: DH_OPTIONS=-pxserver-xorg -pxserver-xorg-dbg
+$(STAMP_DIR)/binary-server: $(STAMP_DIR)/build-server $(STAMP_DIR)/install-server debian/shlibs.local
+	dh_testdir
+	dh_testroot
+	dh_install --sourcedir=debian/tmp
+	# special handling
+	install -m 755 -d debian/xserver-xorg-dbg/usr/X11R6/man/man1
+	install -m 644 debian/tmp/usr/X11R6/man/man1/Xorg.1 debian/xserver-xorg-dbg/usr/X11R6/man/man1/Xorg-debug.1
+	dh_installdebconf
+	dh_installdirs
+	dh_installdocs
+	# how about a dh_installbug? :)
+	install -m 755 -d debian/xserver-xorg/usr/share/bug
+	install -m 755 debian/xserver-xorg.bug debian/xserver-xorg/usr/share/bug/xserver-xorg
+	install -m 755 -d debian/xserver-xorg-dbg/usr/share/bug
+	install -m 755 debian/xserver-xorg.bug debian/xserver-xorg-dbg/usr/share/bug/xserver-xorg-dbg
+	dh_installexamples
+	dh_installinit --noscripts
+	dh_installchangelogs
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	dh_strip -Nxserver-xorg-dbg
+	find debian/xserver-xorg/usr/X11R6/lib/modules -name "*_drv.o" | \
+	  xargs --no-run-if-empty \
+	  strip --strip-debug --remove-section=.note --remove-section=.comment
+endif
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps -l$(DEBTREEDIR)/usr/X11R6/lib --exclude=usr/X11R6/lib/modules
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+	touch $@
+
+.PHONY: default
+.PHONY: genscripts cleanscripts
+.PHONY: updatepo
+.PHONY: patch-audit
+.PHONY: clean configure install
+.PHONY: build build-arch-only build-all real-build
+.PHONY: binary binary-arch binary-indep
+.PHONY: check-manifest check-manifest-arch check-manifest-indep
+.PHONY: environment
+.PHONY: build-server install-server binary-server
+.PHONY: build-server-alone
+
+# vim:set noet ai sts=8 sw=8 tw=0:


Property changes on: trunk/debian/rules
___________________________________________________________________
Name: svn:executable
   + *

Copied: trunk/debian/rules.prototype (from rev 37, trunk/debian/rules)



Reply to: